# Retrieve an invoice Retrieves a specific invoice. Endpoint: GET /v1/invoices/{invoiceKey} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `invoiceKey` (string, required) The ID or number of the invoice. For example, 2c92c8955bd63cc1015bd7c151af02ab or INV-0000001. ## Response 200 fields (application/json): - `accountId` (string) The ID of the customer account associated with the invoice. - `adjustmentAmount` (number) The amount of the invoice adjustments associated with the invoice. - `amount` (number) The total amount of the invoice. - `amountWithoutTax` (number) The invoice amount excluding tax. - `autoPay` (boolean) Whether invoices are automatically picked up for processing in the corresponding payment run. - `balance` (number) The remaining balance of the invoice after all payments, adjustments, and refunds are applied. - `billRunId` (string) The id of bill run if the invoice is generated by a bill run. - `billToContactId` (string,null) The ID of the bill-to contact associated with the invoice. - `billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the invoice. - `comments` (string) Comments about the invoice. - `createdById` (string) The user ID of the person who created the invoice. If a bill run generated the invoice, then the value is the user ID of person who created the bill run. - `createdDate` (string) The date and time when the invoice was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `creditBalanceAdjustmentAmount` (number) The currency amount of the adjustment applied to the customer's credit balance. Note: This field is only available if you have the Credit Balance feature enabled and the Invoice Settlement feature disabled. - `creditMemoAmount` (number) The currency amount of all credit memos applied to this invoice. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `currency` (string,null) The currency of the invoice. Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency. - `discount` (number) the invoice discount amount. - `dueDate` (string) The date by which the payment for this invoice is due, in yyyy-mm-dd format. - `einvoiceErrorCode` (string) The error code when status is "Failed". This code can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor. - `einvoiceErrorMessage` (string) The error message when status is "Failed". This message can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor. - `einvoiceFileId` (string) The ID of the e-invoice file. - `einvoiceStatus` (string) The status of the e-invoice file generation for the invoice. - If e-invoicing file generation succeeds, this field is either Generated or Success, and both the error code and message are empty, and the eInvoiceField fieldstores the ID of the generated e-inoice file. - If the responses from tax vendors such as Sovos or Avalara are taking too long, this field becomes RetrieveTimeOut. Once the vendor responds successfully, you can use the 'Resync E-Invoice Status' action to update the status automatically. You can view these updates in System Health telemetry. - If a failure occurs during e-invoice file generation, this field is Failed and error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If e-invoice file generation conditionally succeeds, this field is ConditionalSuccess and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If the e-invoice file has been approved by the tax authority, this field is ApprovedByAuthority. The next status will be either Success or Rejected. - If the e-invoice file has been rejected by the government, this field is Rejected. You cannot resend this e-invoice; you must create a new invoice instead. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. Enum: "Processing", "RetrieveTimeOut", "Generated", "Success", "Failed", "ConditionalSuccess", "ApprovedByAuthority", "Rejected" - `id` (string) The unique ID of the invoice. - `includesOneTime` (boolean) Specifies whether the invoice includes one-time charges. - `includesRecurring` (boolean) Specifies whether the invoice includes recurring charges. - `includesUsage` (boolean) Specifies whether the invoice includes usage charges. - `invoiceDate` (string) The date that appears on the invoice being created. - `invoiceGroupNumber` (string,null) The number of the invoice group associated with the invoice. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `invoiceNumber` (string) The unique identification number of the invoice. - `lastEmailSentDate` (string) The date when the invoice was last emailed. - `organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `paymentAmount` (number) The amount of payments applied to the invoice. - `paymentTerm` (string,null) The name of payment term associated with the invoice. - `postedBy` (string) The user ID of the person who moved the invoice to Posted status. - `postedDate` (string) The date when the invoice was posted. - `refundAmount` (number) Specifies the amount of a refund that was applied against an earlier payment on the invoice. - `sequenceSetId` (string,null) The ID of the sequence set associated with the invoice. - `communicationProfileId` (string,null) The ID of the communication profile associated with the invoice. - `shipToContactId` (string,null) The ID of the ship-to contact associated with the invoice. - `shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the invoice. - `soldToContactId` (string,null) The ID of the sold-to contact associated with the invoice. - `soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice. - `source` (string) The source of the invoice. Enum: "BillRun", "API", "ApiSubscribe", "ApiAmend" - `sourceId` (string) The ID of the invoice source. If an invoice is generated from a bill run, the value is the number of the corresponding bill run.Otherwise, the value is null. - `sourceType` (string) The type of the invoice source. Enum: "Subscription", "Standalone", "Order", "Consolidation" - `status` (string) The status of the invoice. Enum: "Draft", "Posted" - `success` (boolean) Returns true if the request was processed successfully. - `targetDate` (string) This date is used to determine which charges are to be billed. All charges that are to be billed on this date or prior will be included in this bill run. - `taxAmount` (number) The amount of taxation. - `taxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `taxMessage` (string,null) The message that the tax engine return if it calculates the taxes of this invoice fails. - `taxStatus` (string) The status that the tax engine return after it calculates the taxes of this invoice. Note: This field is only applicable to tax calculation by third-party tax engines. The Voided status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side. Enum: "Complete", "Error", "UnknownError", "DuplicateDoc", "InvalidRequest", "InvalidResponse", "TaxEngineError", "ConcurrentModify", "InternalServerError", "TaxCodeTemplateError", "Voided" - `templateId` (string,null) The ID of the invoice template. - If you have the Flexible Billing Attributes feature enabled, the value of this field depends on the configuration of the invoice template. - If you specify an invoice template at the subscription level, the value of this field is automatically populated from the corresponding subscription. - If you do not specify any invoice template at the subscription level, the value of this field is automatically populated from the corresponding account. - If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `transferredToAccounting` (string) Whether the invoice was transferred to an external accounting system. Enum: "Processing", "Error", "Ignore", "Yes", "No" - `updatedById` (string) The ID of the Zuora user who last updated the invoice. - `updatedDate` (string) The date when the invoice was last updated. - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the invoice's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the invoice was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.